const browserGlobals = require('confusing-browser-globals');
const stylisticRules = require('./rules/stylistic');

module.exports = {
  parser: 'babel-eslint',
  extends: [
    'airbnb-base',
    'plugin:promise/recommended',
    'plugin:compat/recommended',
    'plugin:security/recommended',
    'prettier',
  ],
  plugins: ['promise', 'sort-class-members', 'security'],
  parserOptions: {
    ecmaVersion: 2019,
    sourceType: 'module',
  },
  env: {
    es6: true,
    browser: true,
    worker: true,
    serviceworker: true,
  },
  rules: {
    ...stylisticRules,
    'no-restricted-globals': ['error', ...browserGlobals],
  },
};
