const browserGlobals = require('confusing-browser-globals');
const stylisticRules = require('./rules/stylistic');

module.exports = {
  parser: 'babel-eslint',
  extends: [
    'airbnb',
    'plugin:promise/recommended',
    'plugin:compat/recommended',
    'plugin:security/recommended',
    'prettier',
    'prettier/react',
  ],
  plugins: ['promise', 'sort-class-members', 'security'],
  parserOptions: {
    ecmaVersion: 2019,
    sourceType: 'module',
    ecmaFeatures: { jsx: true },
  },
  env: {
    es6: true,
    browser: true,
    worker: true,
    serviceworker: true,
  },
  rules: {
    ...stylisticRules,
    'no-restricted-globals': ['error', ...browserGlobals],
    'react/jsx-filename-extension': ['error', { extensions: ['.js'] }],
    'react/no-array-index-key': 'off',
  },
};
